%define base_name drakx-installer-images
%define name %{base_name}-tmb
%define version 1.31
%define release %mkrel 12
%define theme	Free

%define mandriva_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mandriva-release)

# disable empty debug rpms...
%define _enable_debug_packages  %{nil}
%define debug_package           %{nil}

Summary: DrakX installer images using kernel-tmb series
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{base_name}-%{version}.tar.bz2
Patch0:  %{name}.patch
License: GPL
Group:   Development/Other
Url:     http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%ifarch %ix86
BuildRequires: kernel-tmb-desktop586-latest >= 2.6.27.38-%mkrel 1
%else
BuildRequires: kernel-tmb-desktop-latest >= 2.6.27.38-%mkrel 1
%endif
%ifarch %ix86 x86_64
BuildRequires: memtest86+
BuildRequires: grub
BuildRequires: syslinux >= 3.51-%mkrel 4
%endif
BuildRequires: drakx-installer-binaries >= 1.32-%mkrel 1
BuildRequires: ldetect-lst >= 0.1.199
BuildRequires: mandriva-theme-%{theme}
BuildRequires: pcmciautils
BuildRequires: perl-XML-Parser

BuildRequires: cdrkit-genisoimage
BuildRequires: mkdosfs-with-dir
BuildRequires: mknod-m600
BuildRequires: mtools
Buildrequires: busybox
Buildrequires: ka-deploy-source-node

%description
images needed to build Mandriva installer (DrakX) using kernel-tmb series

%prep
%setup -q -n %{base_name}-%{version} 
%patch0 -p1

%build
THEME=Mandriva-%{theme} make -C images

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C images install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name






%changelog
* Sat Oct 31 2009 Thomas Backlund <tmb@mandriva.org> 1.31-12mdv2009.0
+ Revision: 460347
- build against kernel-tmb-2.6.27.38-1mdv

* Sun Jul 26 2009 Thomas Backlund <tmb@mandriva.org> 1.31-11mdv2009.0
+ Revision: 400379
- build against kernel-tmb-2.6.27.28-1mdv

* Tue Jul 14 2009 Thomas Backlund <tmb@mandriva.org> 1.31-10mdv2009.0
+ Revision: 395829
- build against kernel-tmb-2.6.27.26-2mdv

* Fri Jun 26 2009 Thomas Backlund <tmb@mandriva.org> 1.31-9mdv2009.0
+ Revision: 389519
- build against kernel-tmb-2.6.27.25-2mdv

* Fri Feb 27 2009 Thomas Backlund <tmb@mandriva.org> 1.31-8mdv2009.0
+ Revision: 345569
- build against kernel-tmb-2.6.27.19-2mdv

* Tue Feb 17 2009 Thomas Backlund <tmb@mandriva.org> 1.31-6mdv2009.0
+ Revision: 341542
- build against kernel-tmb-2.6.27.15-3mdv

* Mon Nov 03 2008 Thomas Backlund <tmb@mandriva.org> 1.31-5mdv2009.0
+ Revision: 299596
- rebuild against kernel-tmb-2.6.27.4-2mdv

* Thu Oct 16 2008 Thomas Backlund <tmb@mandriva.org> 1.31-4mdv2009.0
+ Revision: 294463
- build against kernel-tmb-2.6.27.1-1mdv
- change dm-raid4-5 to dm-raid45, as the module have been renamed

  + root <root>
    - Branching 2009.0 release for updates.

* Sun Sep 28 2008 Thomas Backlund <tmb@mandriva.org> 1.31-1mdv2009.0
+ Revision: 289104
- sync with main 1.31
- rebuild against drakx-installer-binaries-1.32-1mdv
- rebuild against kernel-tmb-2.6.27-0.rc7.5.2mdv

* Sun Sep 14 2008 Thomas Backlund <tmb@mandriva.org> 1.30-3mdv2009.0
+ Revision: 284816
- build against kernel-tmb 2.6.27-0.rc6.2.1mdv2009.0

* Thu Aug 28 2008 Thomas Backlund <tmb@mandriva.org> 1.30-2mdv2009.0
+ Revision: 277030
- build against drakx-installer-binaries-1.31
- build against kernel-tmb-2.6.26.3-1mdv

* Sat Aug 02 2008 Thomas Backlund <tmb@mandriva.org> 1.30-1mdv2009.0
+ Revision: 260979
- build against kernel-tmb-2.6.26.1-1mdv2009.0
- update patch0: add dmraid45 and multipath support
- build against drakx-installer-binaries-1.30-1mdv
- sync with main 1.30

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.28-4mdv2009.0
+ Revision: 244543
- rebuild

  + Thomas Backlund <tmb@mandriva.org>
    - build against kernel-tmb-2.6.24.4-1mdv
    - build against drakx-intaller-binaries-1.26-1mdv

* Fri Feb 29 2008 Thomas Backlund <tmb@mandriva.org> 1.28-1mdv2008.1
+ Revision: 176841
- sync with main 1.28-4mdv
- build against kernel-tmb-2.6.24.3-1mdv

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Thomas Backlund <tmb@mandriva.org> 1.23-3mdv2008.0
+ Revision: 93807
- rebuild against drakx-installer-binaries-1.17
- rebuild against kernel-tmb-2.6.23-0.rc8.1mdv
- rebuild against kernel-tmb-2.6.23-0.rc7.1mdv

* Mon Sep 17 2007 Thomas Backlund <tmb@mandriva.org> 1.23-1mdv2008.0
+ Revision: 89366
- sync with main 1.23

* Mon Sep 17 2007 Thomas Backlund <tmb@mandriva.org> 1.22-1mdv2008.0
+ Revision: 89043
- sync with main 1.22
- rebuild against kernel-tmb-2.6.23-0.rc6.1mdv

* Thu Sep 06 2007 Thomas Backlund <tmb@mandriva.org> 1.20-1mdv2008.0
+ Revision: 81148
- sync with main 1.20
- build against kernel-tmb-2.6.22.6-1mdv


* Fri Mar 30 2007 Thomas Backlund <tmb@mandriva.org> 1.8-4mdv2007.1
+ Revision: 149777
- rebuild against latest kernel-tmb (2.6.20.4-3mdv)

* Wed Mar 28 2007 Thomas Backlund <tmb@mandriva.org> 1.8-2mdv2007.1
+ Revision: 149256
- rebuild with latest stage2 (with mmc_block) (#29909)

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.8-1mdv2007.1
+ Revision: 148572
- sync with main 1.8

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.7-1mdv2007.1
+ Revision: 148515
- build against drakx-installer-binaries 1.7
- sync with main 1.7
- use drakx-installer-image tarball directly
- use the UP kernel-tmb-desktop(586)(-latest) as installer
  kernel, to make it work on more systems
- update patch0: to only check for 2.6.21 series kernels for now
- dont build empty debug rpms
- rebuild against latest kernel-linus
- rebuild against latest drakx-installer-images
- use drakx-installer-images-1.6-2mdv as base
- use same version as main to make it simplier to keep in sync
- use kernel-tmb-desktop(586)-smp(-latest) as installer kernel
- add patch0: modify scripts to support kernel-tmb
- Created package structure for drakx-installer-images-tmb.

